Subject: Re: linux-next: duplicate patches in the i2c-host tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 2 Apr 2025 16:19:04 +1100

Hi all,

On Fri, 28 Mar 2025 12:59:30 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> The following commits are also in the i2c tree as different commits
> (but the same patches):
> 
>   01879dd3b07d ("i2c: amd-asf: Set cmd variable when encountering an error")
>   04bbb78be54e ("i2c: brcmstb: Use i2c_10bit_addr_*_from_msg() helpers")
>   0c5620203c08 ("i2c: amd: Switch to guard(mutex)")
>   19f3af22ccbf ("i2c: axxia: Use i2c_10bit_addr_*_from_msg() helpers")
>   1a32c37c73ea ("i2c: eg20t: Use i2c_10bit_addr_*_from_msg() helpers")
>   1a63160e0884 ("i2c: i801: Use MMIO if available")
>   280deda134db ("i2c: iproc: Refactor prototype and remove redundant error checks")
>   2951c695bf4a ("i2c: omap: Add support for setting mux")
>   3c10f034fff0 ("i2c: dw: Update the master_xfer callback name")
>   408fbbbbce6a ("i2c: mlxbf: Use readl_poll_timeout_atomic() for polling")
>   470787fb5b27 ("i2c: mt7621: Use i2c_10bit_addr_*_from_msg() helpers")
>   5721ac2c5ac4 ("i2c: pasemi: Add registers bits and switch to BIT()")
>   594f71eabcc5 ("dt-bindings: i2c: imx-lpi2c: add i.MX94 LPI2C")
>   646edba35872 ("i2c: qup: Vote for interconnect bandwidth to DRAM")
>   676bacdd6eb4 ("i2c: i801: Improve too small kill wait time in i801_check_post")
>   6c47a63bddda ("i2c: i801: Switch to iomapped register access")
>   6ef61d097224 ("i2c: mv64xxx: Use i2c_*bit_addr*_from_msg() helpers")
>   6fc176e1830c ("i2c: bcm-kona: Use i2c_10bit_addr_*_from_msg() helpers")
>   78cc2f229e92 ("i2c: k1: Initialize variable before use")
>   7a8c4bdbee5c ("dt-bindings: i2c: exynos5: add exynos7870-hsi2c compatible")
>   813fe8a1c150 ("i2c: i801: Cosmetic improvements")
>   85175a591d67 ("i2c: octeon: remove 10-bit addressing support")
>   8b9de656fc8f ("dt-bindings: i2c: qup: Document interconnects")
>   92a8d36abbd8 ("i2c: octeon: fix return commenting")
>   9427b4680e0e ("i2c: qcom-geni: Update i2c frequency table to match hardware guidance")
>   94505359bbf0 ("i2c: pxa: fix call balance of i2c->clk handling routines")
>   992961d3a4b1 ("i2c: cadence: Move reset_control_assert after pm_runtime_set_suspended in probe error path")
>   9a3208cb7c21 ("i2c: ibm_iic: Use i2c_*bit_addr*_from_msg() helpers")
>   9b982a430344 ("i2c: i2c-exynos5: fixed a spelling error")
>   a20a217ac502 ("i2c: mux: remove incorrect of_match_ptr annotations")
>   a41771366857 ("dt-bindings: i2c: spacemit: add support for K1 SoC")
>   a516fd98fbbb ("i2c: spacemit: add support for SpacemiT K1 SoC")
>   ad9769d81ac4 ("i2c: i801: Move i801_wait_intr and i801_wait_byte_done in the code")
>   aff120a4546b ("i2c: kempld: Use i2c_10bit_addr_*_from_msg() helpers")
>   b22c902580a8 ("i2c: cadence: Simplify using devm_clk_get_enabled()")
>   b402ffba81ca ("i2c: Introduce i2c_10bit_addr_*_from_msg() helpers")
>   b7fc85a98f96 ("dt-bindings: i2c: samsung,s3c2410: add exynos7870-i2c compatible")
>   c529a82a7f8f ("dt-bindings: i2c: i2c-rk3x: Add rk3562 support")
>   c9a73204f14c ("i2c: rzv2m: Use i2c_10bit_addr_*_from_msg() helpers")
>   d0120c8e9a5e ("dt-bindings: i2c: omap: Add mux-states property")
>   e02ea71a6ff6 ("i2c: amd-asf: Modify callbacks of i2c_algorithm to align with the latest revision")
>   eadae9e7606f ("i2c: octeon: refactor common i2c operations")
>   ee280e4d4e6d ("dt-bindings: i2c: qcom,i2c-qup: Document power-domains")

The duplicates of all the above are now in Linus' tree.  Can this tree
be tidied up, please?

-- 
Cheers,
Stephen Rothwell